Skip to content

Create DSP Refund Request

POST {{base_url}}/v3/refunds

Required scope: refunds:write

Creates a new DSP refund request. Requires admin, partner, or vendor authentication.

{
"amount": 15.5,
"contact_email": "customer@example.com",
"description": "Food was cold and delivery was late",
"external_dsps_id": "dsp_delivery_12345",
"external_dsps_name": "DoorDash",
"issue_type": "food_quality",
"merchant_name": "Joe's Pizza",
"internal_status": "unreviewed"
}
Terminal window
curl --request POST '${base_url}/v3/refunds' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer {{auth_token}}' \
--data '{
"amount": 15.5,
"contact_email": "customer@example.com",
"description": "Food was cold and delivery was late",
"external_dsps_id": "dsp_delivery_12345",
"external_dsps_name": "DoorDash",
"issue_type": "food_quality",
"merchant_name": "Joe'\''s Pizza",
"internal_status": "unreviewed"
}'
{
"success": true,
"data": {
"id": "refund_12345",
"amount": 15.5,
"contact_email": "customer@example.com",
"description": "Food was cold and delivery was late",
"external_dsps_id": "dsp_delivery_12345",
"external_dsps_name": "DoorDash",
"issue_type": "food_quality",
"merchant_name": "Joe's Pizza",
"internal_status": "unreviewed",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}
}